WP6HighlightGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6HighlightGroup Class Referenceabstract

`#include <WP6HighlightGroup.h>`

Inheritance diagram for WP6HighlightGroup:

## Public Member Functions
| WP6HighlightGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
virtual void | parse (WP6Listener *listener)=0
const RGBSColor | getColor () const
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Protected Member Functions
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
RGBSColor | m_color

## Additional Inherited Members
Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP6HighlightGroup::WP6HighlightGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

void WP6HighlightGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protectedvirtual

Implements WP6FixedLengthGroup.

Referenced by getColor().

const RGBSColor WP6HighlightGroup::getColor | ( |  | ) | const
| inline

Referenced by WP6HighlightOnGroup::parse(), and WP6HighlightOffGroup::parse().

virtual void WP6HighlightGroup::parse | ( | WP6Listener * | listener | ) |
| pure virtual

Implements WP6Part.

Implemented in WP6HighlightOffGroup, and WP6HighlightOnGroup.

## Member Data Documentation

RGBSColor WP6HighlightGroup::m_color
| private

Referenced by _readContents(), and getColor().

The documentation for this class was generated from the following files:

- WP6HighlightGroup.h
- WP6HighlightGroup.cpp